C API Functions

## udbListFile

### Description

Return a non-allocated, temporary, list of all analyzed file entities.

### Syntax

     #include "udb/udb.h"
     void udbListFile(UdbEntity **list, int *items)

### Arguments

Argument | description
UdbEntity **list | Return a temporary list of all analyzed file entities (not allocated).
int *items | Return size of list.

### Return Values

There are no function return values.

### Example Usage

     udbListFile(&list, &size);

### See Also

udbListEntity to get allocated list of all entities

udbListEntityFilter to filter list of entities to specified kinds

Scientific Toolworks, Inc. http://www.scitools.com Voice: (802) 763-2995 Fax: (802) 763-3066 support@scitools.com sales@scitools.com